Bug 98375 - rpm: rpmte.c:518: rpmteColorDS: Assertion `ix < Count' failed.
rpm: rpmte.c:518: rpmteColorDS: Assertion `ix < Count' failed.
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-07-01 16:39 EDT by Scott Leerssen
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-07-03 17:03:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Scott Leerssen 2003-07-01 16:39:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
I just started getting this error recently with a package that I've had no
trouble installing in the past.  The package is built on a RedHat9 system and
installed on a RedHat9 system with the same version of RPM.  Other packages that
I build are just fine.  One thing that may be at issue, is that the package is
quite large (15258 files and directories).  rpm2cpio has no trouble reading the
package, but I can't 'rpm -i' the thing without the assertion that is in the

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
I can provide the RPM that causes the error if necessary.

Actual Results:  I get the following assertion:

rpm: rpmte.c:518: rpmteColorDS: Assertion `ix < Count' failed.

Expected Results:  my RPM should install

Additional info:
Comment 1 Jeff Johnson 2003-07-03 10:58:36 EDT
Can you supply a pointer to the package that fails to install?
Comment 2 Scott Leerssen 2003-07-03 14:30:02 EDT
I'll have the rpm at the following link for a few days.  Let me know
when you are done with it so I can get it off our web server.  By the
way, it's about 45MB, so be prepared to wait a bit.  There's nothing
proprietary in the RPM (all open source) and will (well, is supposed to
:) ) install cleanly in /opt/race, so it won't clobber anything on your
system if you plan on installing on other than a crash-n-burn.


Comment 3 Jeff Johnson 2003-07-03 15:47:42 EDT
Hmmm, reproduced.

Judging from file paths, you appear to have elf binaries for
several different persuasions of unix. If that's the case, you
have probably triggered some deep problem with elf32 incompatibilities
amongst operating systems which, since I support linux only, I'm
not going to be able to fix.

You can disable the per-file dependency generation by adding
to your spec file
    %define _use_internal_dependency_generator     0
and rebuilding.

Does that fix your problem?
Comment 4 Scott Leerssen 2003-07-03 15:59:02 EDT
I have AutoReq off, so I thought that disabled the dependency checking
altogether (except for those specifically indicated).  It was working fine until
we just added a few more files to the package, and suddenly, it stopped.  That
package has always had FreeBSD, Sun and Linux binaries and libraries, and only
stated to fail to install after adding a handful more Linux binaries.
Comment 5 Jeff Johnson 2003-07-03 16:04:17 EDT
You've disabled automagic find-requires, but not automagic
find-provides. See for yourself with rpm -qp --provides

Either disable provides generation "AutoReqProv: no", or
disable the internal libelf find-{requires,provides} using
the %define above.
Comment 6 Scott Leerssen 2003-07-03 16:51:00 EDT
Setting %define _use_internal_dependency_generator did the trick.  Does this
define take care of AutoReqProv and AutoReq?
Comment 7 Jeff Johnson 2003-07-03 17:03:53 EDT
No, Auto{Req,Prov,ReqProv}: are orthogonal to internal vs external
automagic dependency genertation.

Note You need to log in before you can comment on or make changes to this bug.